Bug 93749 - New password protected library lose code after reload
Summary: New password protected library lose code after reload
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
4.4.3.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 106845 (view as bug list)
Depends on: 68983
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-28 16:17 UTC by Laurent Godard
Modified: 2018-04-07 02:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Laurent Godard 2015-08-28 16:17:41 UTC
step to reproduce

1. File> New> Text document
2. Tools> Macros> Organize> LibO Basic, click Organizer, tab Libraries, location:Untitled 1, click New, name Library1, Ok
3. tab Modules, select Library 1, Module 1 and click edit
4. do nothing, save the document as bar.odt
5. close all (document and macro ide)
6. open bar.odt
7. Tools> Macros> Organize> LibO Basic, click Organizer, tab Libraries, location:bar.odt
8. Select Library 1, click password, provide one
9. Select Library 1 click edit
10. in module 1, sub main, add any string, say --> print "test"
11. save document inside basic IDE
12. close all (document and macro ide)
13. open bar.odt
14. Tools> Macros> Organize> LibO Basic, click Organizer, tab Modules
15. select bar.ods, Library 1 , Module 1

--> password is not requested (Library not password protected)
--> the string you add in step 10 has vanished 

The Module and code are not there (dataloss)

maybe related to bug 68983

Doing the other way, create module and code before setting the library password protected and save --> it is ok

simplifying the use case, no problem see bug 93742
(add code just after creating the library without step 4 intermediate saving)

reproduced on 

Version: 5.0.1.2 (x64)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale : fr-FR (fr_FR)

Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Locale : fr_FR

Version: 5.0.1.1
Build ID: 13f702ca819ea5b9f8605782c852d5bb513b3891
Locale : fr-FR (fr_FR.UTF-8)
Comment 1 pierre-yves samyn 2015-08-29 05:03:23 UTC
Hi

Reproduced on windows 7/64 & Version: 5.0.1.2 (x64)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale : fr-FR (fr_FR)

Typo: of course, in step 15 read "bar.odt" not "ods"

:)

I set status to NEW

Regards
Pierre-Yves
Comment 2 Txomin40 2015-09-11 23:01:22 UTC
I have the same probleme with odb document.
Version 4.4.5 , 5.0.1 and 5.0.2.1
System : Win7*64
Comment 3 QA Administrators 2016-11-08 11:37:04 UTC Comment hidden (obsolete)
Comment 4 Alex Thurgood 2017-04-06 10:07:51 UTC
*** Bug 106845 has been marked as a duplicate of this bug. ***
Comment 5 QA Administrators 2018-04-07 02:39:16 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug